MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027477Community[OCCT] OCCT:Visualizationpublic2016-05-09 13:392016-12-09 16:37
ReporterVico Liang 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.1 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027477: Visualization - Select3D_SensitiveCircle always return infinite depth value in boundary mode
DescriptionStandard_Boolean Select3D_SensitiveCircle::Matches (SelectBasics_SelectingVolumeManager& theMgr,
                                                    SelectBasics_PickResult& thePickResult)
{
  Standard_Real aDepth = RealLast();
  Standard_Real aDistToCOG = RealLast();

  if (mySensType == Select3D_TOS_BOUNDARY)
  {
    if (!Select3D_SensitivePoly::Matches (theMgr, thePickResult))
    {
      thePickResult = SelectBasics_PickResult (aDepth, aDistToCOG);
      return Standard_False;
    }
  }
  ...

  aDistToCOG = theMgr.DistToGeometryCenter (myCenter3D);
  thePickResult = SelectBasics_PickResult (aDepth, aDistToCOG);
  return Standard_True;
}

The above code will reveal the bug, aDepth value is not assigned if it hit the boundary.

Steps To Reproducebugs vis bug27477
TagsNo tags attached.
Test case numberbugs vis bug27477
Attached Files

- Relationships

-  Notes
(0054307)
git (administrator)
2016-05-23 19:08

Branch CR27477 has been created by vpa.

SHA-1: cc4dcfc63d1957769e858a802b738f953522da93


Detailed log of new commits:

Author: vpa
Date: Mon May 23 19:08:24 2016 +0300

    0027477: Visualization - Select3D_SensitiveCircle always return infinite depth value in boundary mode
    
    - unnecessary re-initialization of pick result was removed from Select3D_SensitiveCircle;
    - test case for issue 0027477
(0054308)
vpa (developer)
2016-05-23 19:09

Dear Kirill,

the patch in branch CR27477 is ready to be reviewed.
(0054310)
kgv (developer)
2016-05-23 19:18

Please test the patch.
(0054367)
apv (tester)
2016-05-24 18:39

Dear BugMaster,

Branch CR27477 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: cc4dcfc63d1957769e858a802b738f953522da93

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MacOS: 0 (0 on master)
products component:
   Linux: 72
   Windows: 4
   MacOS: 1122

Regressions/Differences:
Not detected

Testing cases:
bugs vis bug27477 - OK
http://occt-tests/CR27477-master-OCCT/Debian70-64/bugs/vis/bug27477.html [^]
http://occt-tests/CR27477-master-OCCT/Windows-64-VC10/bugs/vis/bug27477.html [^]

Testing on Linux:
Total MEMORY difference: 89077345 / 89055164 [+0.02%]
Total CPU difference: 19344.310000000143 / 19272.24999999995 [+0.37%]

Testing on Windows:
Total MEMORY difference: 55773886 / 55813985 [-0.07%]
Total CPU difference: 18195.114234598797 / 18216.876374098912 [-0.12%]
(0054483)
git (administrator)
2016-05-27 13:10

Branch CR27477 has been deleted by inv.

SHA-1: cc4dcfc63d1957769e858a802b738f953522da93

- Related Changesets
occt: master 7d46a9ed
Timestamp: 2016-05-23 16:08:24
Author: vpa
Committer: bugmaster
Details ] Diff ]
0027477: Visualization - Select3D_SensitiveCircle always return infinite depth value in boundary mode

- unnecessary re-initialization of pick result was removed from Select3D_SensitiveCircle;
- test case for issue 0027477
mod - src/Select3D/Select3D_SensitiveCircle.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveCircle.hxx Diff ] File ]
add - tests/bugs/vis/bug27477 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-05-09 13:39 Vico Liang New Issue
2016-05-09 13:39 Vico Liang Assigned To => kgv
2016-05-09 13:40 Vico Liang Product Version => 6.9.1
2016-05-09 15:14 Vico Liang Summary Select3D_SensitiveCircle always return infinite depth value in boundary mode. => Select3D_SensitiveCircle always return infinite depth value in boundary mode
2016-05-23 14:52 kgv Assigned To kgv => vpa
2016-05-23 14:52 kgv Severity minor => trivial
2016-05-23 14:52 kgv Status new => assigned
2016-05-23 14:52 kgv Summary Select3D_SensitiveCircle always return infinite depth value in boundary mode => Visualization - Select3D_SensitiveCircle always return infinite depth value in boundary mode
2016-05-23 19:08 git Note Added: 0054307
2016-05-23 19:09 vpa Note Added: 0054308
2016-05-23 19:09 vpa Assigned To vpa => kgv
2016-05-23 19:09 vpa Status assigned => resolved
2016-05-23 19:09 vpa Steps to Reproduce Updated View Revisions
2016-05-23 19:18 kgv Note Added: 0054310
2016-05-23 19:18 kgv Assigned To kgv => bugmaster
2016-05-23 19:18 kgv Status resolved => reviewed
2016-05-23 19:19 apv Assigned To bugmaster => apv
2016-05-24 18:36 apv Test case number => bugs vis bug27477
2016-05-24 18:39 apv Note Added: 0054367
2016-05-24 18:39 apv Assigned To apv => bugmaster
2016-05-24 18:39 apv Status reviewed => tested
2016-05-27 13:02 bugmaster Changeset attached => occt master 7d46a9ed
2016-05-27 13:02 bugmaster Status tested => verified
2016-05-27 13:02 bugmaster Resolution open => fixed
2016-05-27 13:10 git Note Added: 0054483
2016-12-09 16:31 user533 Status verified => closed
2016-12-09 16:37 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker